package com.hzya.frame.sysnew.plugArgDeatil.entity;

import cn.dev33.satoken.stp.StpUtil;
import com.hzya.frame.uuid.UUIDUtils;
import com.hzya.frame.web.entity.BaseEntity;

import java.util.Date;

/**
 * 参数设置明细表(SysPlugArgDetail)实体类
 *
 * @author makejava
 * @since 2024-03-18 14:33:26
 */
public class SysPlugArgDetailEntity extends BaseEntity {
 
  /**  主表id */
   private String formmainId;
  /**  参数编码 */
   private String argCode;
  /**  参数名称 */
   private String argName;
  /**  参数类型 */
   private String argType;
  /**  备注 */
   private String remark;

    public void setCreate() {
        this.setId(UUIDUtils.getUUID());
        this.setSts("Y");
        this.setCreate_user_id(StpUtil.getLoginIdAsString());
        this.setModify_user_id(StpUtil.getLoginIdAsString());
        this.setCreate_time(new Date());
        this.setModify_time(new Date());
    }
    //修改信息
    public void setUpdate() {
        this.setModify_user_id(StpUtil.getLoginIdAsString());
        this.setModify_time(new Date());
    }
    public String getFormmainId() {
        return formmainId;
    }

    public void setFormmainId(String formmainId) {
        this.formmainId = formmainId;
    }

    public String getArgCode() {
        return argCode;
    }

    public void setArgCode(String argCode) {
        this.argCode = argCode;
    }

    public String getArgName() {
        return argName;
    }

    public void setArgName(String argName) {
        this.argName = argName;
    }

    public String getArgType() {
        return argType;
    }

    public void setArgType(String argType) {
        this.argType = argType;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

}

